{% extends "lab_7/layout/base.html" %}
{% block content %}
<section name="mahasiswa-list" id="mahasiswa-list">
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-lg-8">
                <h2> Mahasiswa Fasilkom</h2>
                <div class="list-group">
                    {% if mahasiswa_list %}
                        {% for mahasiswa in mahasiswa_list %}
                            <a class="list-group-item clearfix">
                                {{ mahasiswa.nama }} ({{ mahasiswa.npm }})
                                <span class="pull-right">
                        <span class="btn btn-xs btn-default" onClick="addFriend('{{ mahasiswa.nama }}', '{{ mahasiswa.npm }}')">
                            Tambah sebagai teman
                        </span>
                    </span>
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada mahasiswa
                        </div>
                    {% endif %}
                </div>
                <div class="pagination">
            	{% if mahasiswa_list.has_other.pages %}
            	<li><a href="?page={{ mahasiswa_list.previous_page_number }}">&laquo;</a></li>
    				{% else %}
     			<li class="disabled"><span>&laquo;</span></li>
					{% endif %}
					{% for i in mahasiswa_list.paginator.page_range %}
						{% if mahasiswa_list.number == i %}
				<li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
						{% else %}
				<li><a href="?page={{ i }}">{{ i }}</a></li>
						{% endif %}
					{% endfor %}
					{% if mahasiswa_list.has_next %}
				<li><a href="?page={{ mahasiswa_list.next_page_number }}">&raquo;</a></li>
					{% else %}
				<li class="disabled"><span>&raquo;</span></li>
					{% endif %}
			</div>
            </div>
            
            <div class="col-lg-4">
                <h2> Teman Saya </h2>
                <div class="list-group" id="friend-list">
                    {% if friend_list %}
                        {% for friend in friend_list %}
                            <a class="list-group-item clearfix">
                                {{ friend.friend_name }} ({{ friend.npm }})
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada teman
                        </div>
                    {% endif %}
                </div>
                <form id="add-friend" action="#">
                    {% csrf_token %}
                    <label for="field_npm">npm</label>
                    <input id="field_npm" type="text" name="npm" class="form-control"/>
                    <label for="field_name">name</label>
                    <input id="field_name" type="text" name="name" class="form-control"/>
                    <button type="submit">Tambah</button>
                </form>
            </div>
        </div>
    </div>
</section>
{% block javascript %}
<script>
    var addFriend = function(nama, npm) {
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:add-friend" %}',
            data: { 'name': nama, 'npm': npm},
            success : function (friend) {
            	friend = JSON.parse(friend)
                html = '<a class="list-group-item clearfix">' +
                    friend.friend_name + " (" + friend.npm + ") " +
                    '</a>';
                $("#friend-list").append(html)
            },
            error : function (error) {
            	 alert("Mahasiswa tersebut sudah ditambahkan sebagai teman")
            }
        });
    };

    $("#add-friend").on("submit", function () {
       name = $("#field_name").val()
       npm = $("#field_npm").val()
        addFriend(name, npm)
        event.preventDefault();
    });

    $("#field_npm").change(function () {
        console.log( $(this).val() );
        npm = $(this).val();
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:validate-npm" %}',
            data: {
                'npm': npm
            },
            dataType: 'json',
            success: function (data) {
                console.log(data)
                if (data.is_taken) {
                    alert("Mahasiswa dengan npm seperti ini sudah ada");
                }
            }
        });
    });
</script>
{% endblock %}
{% endblock %}
